## org.apache.lucene.benchmark.byTask.feeds
Interface QueryMaker

All Known Implementing Classes:
  AbstractQueryMaker, EnwikiQueryMaker, FileBasedQueryMaker, ReutersQueryMaker, SimpleQueryMaker, SimpleSloppyPhraseQueryMaker

    public interface QueryMaker

Create queries for the test.

Method Summary
`Query` `makeQuery()` Create the next query
`Query` `makeQuery(int size)` Create the next query, of the given size.
`java.lang.String` `printQueries()` Print the queries
`void` `resetInputs()` Reset inputs so that the test run would behave, input wise, as if it just started.
`void` `setConfig(Config config)` Set the properties

Method Detail

### makeQuery

    Query makeQuery(int size)
                    throws java.lang.Exception

  Create the next query, of the given size.

  Parameters:
    `size` - the size of the query - number of terms, etc.
  Throws:
    `if` - cannot make the query, or if size>0 was specified but this feature is not supported.
    `java.lang.Exception`

### makeQuery

    Query makeQuery()
                    throws java.lang.Exception

  Create the next query

  Throws:
    `java.lang.Exception`

### setConfig

    void setConfig(Config config)
                   throws java.lang.Exception

  Set the properties

  Throws:
    `java.lang.Exception`

### resetInputs

    void resetInputs()

  Reset inputs so that the test run would behave, input wise, as if it just started.

### printQueries

    java.lang.String printQueries()

  Print the queries

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.